/*
 * The Copyright of this work is vested in the National Electricity Market
 * Management Company Limited and the software is issued in confidence
 * for the purpose only for which it is supplied. It must not be
 * reproduced in whole or in part or used for tendering or manufacturing
 * purposes except under an agreement or with the consent in writing of
 * the National Electricity Market Management Company Limited and then
 * only on the condition that this notice is included in any such
 * reproduction.  No information as to the contents or subject matter of
 * this software or any part thereof arising directly or indirectly there
 * from shall be given orally or in writing or communicated in any manner
 * whatsoever to any third party being an individual firm or company or
 * any employee thereof without the prior consent in writing of the National
 * Electricity Market Management Company Limited.
 *
 * Copyright the National Electricity Market Management Company Limited.  2003
 * Mike Muir
 * 28-Aug-2012     Oleg Pevzner       7984 Java upgrade from 6 to 7
 */

package com.nemmco.participantbatcher.util;

import com.nemmco.participantbatcher.process.BatcherFileFilter;

/**
 * This class is used to ensure that only specific files are cleaned ie
 *moved form one directory to another
 * <p>
 * @author Mike Muir
 * version 1.4.2 - 17-Dec-2005 - Creation
 * version 1.4.4 6-May-2006 Fixed javaDoc and coding standards
 * @version 1.5.1 5-Non-2006 Extends Batcher File Filter instead of its own logic
 */

public class CleanFileFilter extends BatcherFileFilter {

   private CustomClean customClean;

   /**
    * Constructor
    * This constructor takes one paramter: the CustomClean definition
    *
    * @param paramCustomClean CustomClean
    */
   public CleanFileFilter(CustomClean paramCustomClean) {
      super(paramCustomClean.getFileExtension(), paramCustomClean.getFileMasks());
      customClean = paramCustomClean;
   }

   /**
    * Return the custom clean object is a string so the definition of the
    *  data is defined.
    * @return String a textural definition
    */
   public String toString() {
      return this.customClean.toString();
   }

}
