/*
 * The Copyright of this work is vested in the National Electricity Market
 * Management Company Limited and the software is issued in confidence
 * for the purpose only for which it is supplied. It must not be
 * reproduced in whole or in part or used for tendering or manufacturing
 * purposes except under an agreement or with the consent in writing of
 * the National Electricity Market Management Company Limited and then
 * only on the condition that this notice is included in any such
 * reproduction.  No information as to the contents or subject matter of
 * this software or any part thereof arising directly or indirectly there
 * from shall be given orally or in writing or communicated in any manner
 * whatsoever to any third party being an individual firm or company or
 * any employee thereof without the prior consent in writing of the National
 * Electricity Market Management Company Limited.
 *
 * Copyright the National Electricity Market Management Company Limited.  2003
 * Mike Muir
 * 28-Aug-2012     Oleg Pevzner       7984 Java upgrade from 6 to 7
 */

package com.nemmco.participantbatcher.util;

import java.util.Vector;

/**
 * CustomClean.java
 * Contains a single custom clean command consisting of a from directory,
 * to directory, file extension and a series of file masks
 *
 * version 1.4.2 creation for the custom clean feature
 * @version 1.4.4 6-May-2006 Fixed javaDoc and coding standards
 *
 * @author mikem
 */
public class CustomClean {

   private String fromDir;
   private String toDir;
   private String fileExtension;
   private Vector<String> fileMasks;

   /** Creates a new instance of CustomClean */
   public CustomClean() {
      fromDir = "";
      toDir = "";
      fileExtension = "";
      fileMasks = new Vector<String>();
   }

   /** set from directory.
    * @param fromDir
    */
   public void setFromDir(String fromDir) {
      this.fromDir = fromDir;
   }

   /** get from directory .
    * @return fromdirectory
    */
   public String getFromDir() {
      return this.fromDir;
   }

   public void setToDir(String toDir) {
      this.toDir = toDir;
   }

   public String getToDir() {
      return this.toDir;
   }

   public void setFileExtension(String fileExtension) {
      this.fileExtension = fileExtension;
   }

   public String getFileExtension() {
      return this.fileExtension;
   }

   public void setFileMasks(Vector<String> fileMasks) {
      this.fileMasks = fileMasks;
   }

   public Vector<String> getFileMasks() {
      return this.fileMasks;
   }

   /** To String to give real information
    *
    * @return the string
    */
   public String toString() {
      return "From=" + this.fromDir + ",To=" + this.toDir + ",Extension=" + this.fileExtension + ",Masks=" + this.fileMasks.toString();
   }

}
